Subject: [SIP] Proxy Routing Logic

From: [email-masked]
Date: Fri, 29 Dec 2000 17:33:26 -0600

I'm joining late this discussion, so I've split my comments into several
postings.
Henning Schlzrinne wrote:
>Vijay Gurbani wrote:
>>
>> Billy Biggs wrote:
> > >
> > >   If a proxy at proxy.com receives a request with a Request-URI of:
> > >
> > >              sip:[email-masked];maddr=proxy.com
> > >
> > >   Should the proxy:
> > >
> > >   1. Return a 404.
> > >   2. Proxy the message to [email-masked], ditching the maddr
> > >      parameter.
> >
> > I suppose that if the proxy is reasonably sure that DNS resolution of
> > proxy.com will not resolve to another proxy in that domain, it should do
(1).

>As before, it's up to the proxy. If there's some weird reason that a
>proxy publishes these addresses, it might handle this. An outbound
>proxy, for example, would be represented by something like that. If the
>proxy has no intent of proxying random requests, it has the right to
>send back
>
>404 Huh?

I would argue that although it is in fact recommended behavior (replying with
404 if the host part of received RURI doesn't match
any of the domains served by the proxy - see paragraph 7.4.5) it is not a
desired one. 404 implies that such a user doesn't exist - e.g. the address is
mistyped or something.
Why would a proxy that doesn't serve a particular domain have a say if a user
exist or not? I'm not saying however that the
 Proxy has to forward the message on (in this case to 'someone-else.com' with
RURI of sip:[email-masked])
- as pointed by Henning it may not be willing and/or able to do so. But it
should return something like 488 Not Acceptable Here (and possibly adding some
info where 'here' is).

> >
> > >   Now say there is a populated Route header.  Should the proxy:
> > >
> > >   1. Replace the Request-URI with the first Route and proxy.
> > >   2. Return a 404.
> > >   3. Proxy the message to [email-masked], ditching the maddr
> > >      parameter (and not popping the Route).
> >
> > Isn't (1) the normal behavior?  If a proxy gets a new request with Route
> > headers, it pops the top one off and uses it as the R-URI of the next hop
> > downstream server.  Or am I missing something in your question?
>
>I suspect this is about having "weird" URIs in the Route, such as the
>one above. Again, an outbound proxy could actually see something like
>that (more reasonable than above). In that case, (1) is the right
>behavior.

again, I would argue it is (case 1) not a corect behavior. Here is an example:
proxy.com is my outbound proxy and a Route header (let's say sip:
route-through-someone-else.com without going into specific syntax) indicates an
address that can be reached only through someone-else.com proxy (like non
routable IP-address). If proxy.com blindly replaces original RURI with first
Route (as also proposed in some of the postings in this thread) and thus
forgetting about someone-else.com altogether, the request will never get to the
intended destination. Therefore I would think behavior 3 is the correct one.
regards, Jacek Grabiec
sip:[email-masked]

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip